Package org.apache.solr.client.solrj.util

## Class SolrIdentifierValidator

- java.lang.Object
- - org.apache.solr.client.solrj.util.SolrIdentifierValidator

    public class SolrIdentifierValidator
    extends Object

Ensures that provided identifiers align with Solr's recommendations/requirements for choosing collection, core, etc. identifiers.

Identifiers are allowed to contain underscores, periods, hyphens, and alphanumeric characters.

### Nested Class Summary

Nested Classes
`static class` `SolrIdentifierValidator.IdentifierType`

### Constructor Summary

Constructors
`SolrIdentifierValidator()`

### Method Summary

All Methods Static Methods Concrete Methods
`static String` `getIdentifierMessage​(SolrIdentifierValidator.IdentifierType identifierType, String name)`
`static String` `validateAliasName​(String alias)`
`static String` `validateCollectionName​(String collectionName)`
`static String` `validateCoreName​(String coreName)`
`static String` `validateName​(SolrIdentifierValidator.IdentifierType type, String name)`
`static String` `validateShardName​(String shardName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SolrIdentifierValidator

    public SolrIdentifierValidator()

### Method Detail

#### validateName

    public static String validateName​(SolrIdentifierValidator.IdentifierType type,
                                      String name)

#### validateShardName

    public static String validateShardName​(String shardName)

#### validateCollectionName

    public static String validateCollectionName​(String collectionName)

#### validateAliasName

    public static String validateAliasName​(String alias)

#### validateCoreName

    public static String validateCoreName​(String coreName)

#### getIdentifierMessage

    public static String getIdentifierMessage​(SolrIdentifierValidator.IdentifierType identifierType,
                                              String name)